import { h } from 'vue';
import { Tag } from 'ant-design-vue';

export const columns = [
  {
    title: 'ID',
    dataIndex: 'id',
    fixed: 'left',
    width: 50,
  },
  {
    title: '日志标题',
    dataIndex: 'title',
    width: 100,
  },
  {
    title: '日志类型',
    dataIndex: 'typeText',
    width: 100,
  },
  {
    title: '模板编号',
    dataIndex: 'number',
    width: 100,
  },
  {
    title: '接收人手机',
    dataIndex: 'receiveMobile',
    width: 100,
  },
  {
    title: '接收人类型',
    dataIndex: 'receiveType',
    width: 100,
    customRender({ record }) {
      let typeText = '';
      switch (record.receiveType) {
        case 1:
          typeText = '系统用户';
          break;
        case 2:
          typeText = '会员用户';
          break;
        case 3:
          typeText = '其他';
          break;
        default:
          break;
      }
      return h('span', typeText || '-');
    },
  },
  {
    title: '请求耗时',
    dataIndex: 'consumeTime',
    width: 100,
  },
  {
    title: '日志状态',
    dataIndex: 'status',
    width: 100,
    customRender({ record }) {
      return h('span', record.status === 1 ? '已读' : '未读');
    },
  },
  {
    title: '创建人',
    width: 100,
    dataIndex: 'createUser',
  },
  {
    title: '创建时间',
    dataIndex: 'createTime',
    width: 180,
  },
  {
    title: '操作',
    fixed: 'right',
    dataIndex: 'action',
    key: 'action',
    width: 200,
  },
];
